Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.hannanum
Class WorkflowFactory

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.hannanum.WorkflowFactory

    public class WorkflowFactory

extends java.lang.Object

This class makes it easy to create a HanNanum work flow for general use. There are several predefined work flows so users who don't want to set up the work flow manually can use those general work flows: Morphological Analysis, POS Tagging, and Noun Extraction.
HanNanum work flow can be used through the following steps with the WorkflowFactory:
1. Create the work flow WorkflowFactory.
2. Activate the work flow in the multi-thread mode or the single thread mode.
3. Analyze the target text with the work flow.
4. Get the result with some relevant data type or string representation.
5. Repeat the step 4-5 you need it.
6. Close the work flow when it will not be used anymore.
Take a look the demo program - kr.ac.kaist.swrc.jhannanum.demo.PredefinedWorkflow for an example.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`static int` | `WORKFLOW_HMM_POS_TAGGER` Predefined work flow for POS tagging.
`static int` | `WORKFLOW_MORPH_ANALYZER` Predefined work flow for morphological analysis.
`static int` | `WORKFLOW_NOUN_EXTRACTOR` Predefined work flow for noun extraction.
`static int` | `WORKFLOW_POS_SIMPLE_09` Predefined work flow for simple POS tagging with 9 tags.
`static int` | `WORKFLOW_POS_SIMPLE_22` Predefined work flow for simple POS tagging with 22 tags.

Constructor Summary
`WorkflowFactory()`

Method Summary
`static Workflow` | `getPredefinedWorkflow(int workflowFlag)` Returns the predefined work flow according to the specified flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORKFLOW_HMM_POS_TAGGER

    public static final int WORKFLOW_HMM_POS_TAGGER

  Predefined work flow for POS tagging.

  See Also:
    Constant Field Values

### WORKFLOW_MORPH_ANALYZER

    public static final int WORKFLOW_MORPH_ANALYZER

  Predefined work flow for morphological analysis.

  See Also:
    Constant Field Values

### WORKFLOW_NOUN_EXTRACTOR

    public static final int WORKFLOW_NOUN_EXTRACTOR

  Predefined work flow for noun extraction.

  See Also:
    Constant Field Values

### WORKFLOW_POS_SIMPLE_22

    public static final int WORKFLOW_POS_SIMPLE_22

  Predefined work flow for simple POS tagging with 22 tags.

  See Also:
    Constant Field Values

### WORKFLOW_POS_SIMPLE_09

    public static final int WORKFLOW_POS_SIMPLE_09

  Predefined work flow for simple POS tagging with 9 tags.

  See Also:
    Constant Field Values

Constructor Detail

### WorkflowFactory

    public WorkflowFactory()

Method Detail

### getPredefinedWorkflow

    public static Workflow getPredefinedWorkflow(int workflowFlag)

  Returns the predefined work flow according to the specified flag.

  Parameters:
    `workflowFlag` - - One of WORKFLOW_HMM_TAGGER, WORKFLOW_MORPH_ONLY, WORKFLOW_NOUN_EXTRACT
  Returns:
    the instance of predefined work flow

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD